Skip to main content
`Ctrl`+`K`

# TSMPRKRegister

register a `TSMPRK` scheme by providing the entries in the Butcher tableau

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSMPRKRegister(TSMPRKType name, PetscInt order, PetscInt sbase, PetscInt ratio1, PetscInt ratio2, const PetscReal Asb[], const PetscReal bsb[], const PetscReal csb[], const PetscInt rsb[], const PetscReal Amb[], const PetscReal bmb[], const PetscReal cmb[], const PetscInt rmb[], const PetscReal Af[], const PetscReal bf[], const PetscReal cf[])

Not Collective, but the same schemes should be registered on all processes on which they will be used, No Fortran Support

## Input Parameters

- name - identifier for method

- order - approximation order of method

- sbase - number of stages in the base methods

- ratio1 - stepsize ratio at 1st level (e.g. slow/medium)

- ratio2 - stepsize ratio at 2nd level (e.g. medium/fast)

- Asb - stage coefficients for slow components(dimension s*s, row-major)

- bsb - step completion table for slow components(dimension s)

- csb - abscissa for slow components(dimension s)

- rsb - array of flags for repeated stages for slow components (dimension s)

- Amb - stage coefficients for medium components(dimension s*s, row-major)

- bmb - step completion table for medium components(dimension s)

- cmb - abscissa for medium components(dimension s)

- rmb - array of flags for repeated stages for medium components (dimension s)

- Af - stage coefficients for fast components(dimension s*s, row-major)

- bf - step completion table for fast components(dimension s)

- cf - abscissa for fast components(dimension s)

## Note

Several `TSMPRK` methods are provided, this function is only needed to create new methods.

## See Also

TS: Scalable ODE and DAE Solvers, `TSMPRK`

## Level

advanced

## Location

src/ts/impls/multirate/mprk.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages